# stuff to be implemented externally:
Source10: kmodtool
%define   kmodtool bash %{SOURCE10}
# end stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.20-1.2952.fc6}
# hint: this can he overridden with "--define kversion foo" on the rpmbuild command line, e.g.
# --define "kversion 2.6.16-1.2096_FC5"

%define kmod_name linux-gpib
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%ifarch i686
%define pae PAE
%endif
%ifarch ppc
%define smp smp
%endif
%ifarch i686 x86_64 ia64
%define xen xen
%endif
%ifarch i686 x86_64 ppc64 ppc64iseries
%define kdump kdump
%endif
%{!?kvariants: %define kvariants "" %{?pae} %{?smp} %{?xen} %{?kdump}}
# hint: this can he overridden with "--define kvariant foo bar" on the rpmbuild command line, e.g.
# --define 'kvariant "" smp' 

##%%define cvsrel 20070131cvs

Name:           %{kmod_name}-kmod
Version: 3.2.09
Release:       1.%(echo %{kverrel} | tr - _)
##Release:        1.%{cvsrel}%(echo %{kverrel} | tr - _)
Summary: Linux GPIB Project

Group:          System Environment/Kernel
License:        GPL
URL:             http://linux-gpib.sourceforge.net
Source0: %{kmod_name}-%{version}.tar.gz
##Source0: %{kmod_name}-%{version}-%{cvsrel}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch:  i586 i686 x86_64

%description
This is Linux-GPIB the IEEE-488 card support
package and measurement suite for LINUX.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}

%prep
%setup -q -c
cd %{kmod_name}-%{version}
cd ..
for kvariant in %{kvariants} ; do
    cp -a %{kmod_name}-%{version} _kmod_build_$kvariant
done

%build
for kvariant in %{kvariants}
do
    kv=%{kverrel}$kvariant
    ks=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    cd _kmod_build_$kvariant
	%configure --with-linux-srcdir=$ks
	for dir in {include,drivers}; do
	    make %{?_smp_mflags} -C $dir
    done
    cd ..
done

%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
    kv=%{kverrel}$kvariant
    ks=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
	mkdir -p $RPM_BUILD_ROOT/lib/modules/$kv/extra/linux-gpib
    for dr in  `(cd _kmod_build_$kvariant/drivers/gpib; ls -d [a-z]*)`; do
		cp _kmod_build_$kvariant/drivers/gpib/$dr/*.ko $RPM_BUILD_ROOT/lib/modules/$kv/extra/linux-gpib || echo "go next."
    done
done
chmod +x $RPM_BUILD_ROOT/lib/modules/*/extra/linux-gpib/*.ko

%clean
#clean can be called after building the package

%changelog
* Sat Jan 20 2007 Kentaro Kitagawa <kitagawa@scphys.kyoto-u.ac.jp>
- initial build for Fedora Core.
